# MySQL dump 8.8
#
# Host: localhost    Database: example
#--------------------------------------------------------
# Server version	3.23.22-beta-log

#
# Table structure for table 'news'
#

CREATE TABLE news (
  news_id bigint(20) unsigned NOT NULL auto_increment,
  timestamp timestamp(14),
  news_source int(10) unsigned DEFAULT '0' NOT NULL,
  headline varchar(100) DEFAULT '' NOT NULL,
  link text,
  PRIMARY KEY (news_id)
);

#
# Table structure for table 'news_sources'
#

CREATE TABLE news_sources (
  source_id int(10) unsigned NOT NULL auto_increment,
  source_name varchar(50) DEFAULT '' NOT NULL,
  source_home varchar(50),
  PRIMARY KEY (source_id)
);

#
# Table structure for table 'user'
#

CREATE TABLE user (
  user_id bigint(20) unsigned NOT NULL auto_increment,
  first_name varchar(30),
  last_name varchar(50),
  password varchar(32),
  email varchar(50) DEFAULT '' NOT NULL,
  confirm_hash varchar(32),
  active enum('Y','N') DEFAULT 'N' NOT NULL,
  preferences varchar(10) DEFAULT '1111111111' NOT NULL,
  color varchar(6),
  PRIMARY KEY (user_id)
);

